import request from '@/utils/request'

// 层级分页查询
export function getModelList(data) {
  return request({
    url: '/system/lscjSysuser/list',
    method: 'get',
    params: data
  })
}

// 修改层级
export function updateModel(data) {
  return request({
    url: '/system/lscjSysuser',
    method: 'put',
    data: data
  })
}

// 上传层级
export function uploadLevel(data) {
  return request({
    url: '/system/lscjSysuser/upload',
    method: 'post',
    data: data,
    isUpload: true
  })
}

// 删除层级
export function deleteByIds(data) {
  return request({
    url: `/system/lscjSysuser/${data}`,
    method: 'delete'
  })
}